SciQLOP - Bug #639

TimeSeries are not displayed properly in plotEngine
01/03/2016 05:39 PM - Anonymous
Description

It seems that numerous timeseries points share the same absciss.

This implies that the curve is often displayed with vertical lines at said places.

This might be due to axis considering only the first digit to build himself or having trouble to handle small time window.

One solution could be to code only the delta between the current time and the starting time, but this implies to provide proxy tick

labels to display real time.

History

#1 - 09/03/2016 11:23 AM - Anonymous

- Status changed from New to Resolved

It was due to a low dynamic in time because of times coded in huge float.

Resolved by coding the delta in time from first day of data, which is display in the axis label ; ticklabels contain hh:mm:ss only.
In the code, the real day is epoch0 (01/01/1970), thus the float coding time is much smaller than before.

This enables to keep an acceptable dynamic on data visualization.

#2 - 27/09/2017 09:42 PM - Nicolas Aunai

- Status changed from Resolved to Closed

- Assignee set to Nicolas Aunai

#3 - 14/02/2019 10:28 AM - Nicolas Aunai

- Category set to legacy
